Skip to main content
GET
/
integrations
List connected integrations
curl --request GET \
  --url https://api.vanta.com/v1/integrations \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "integrationId": "asana",
        "displayName": "Asana",
        "resourceKinds": [
          "AsanaAccount",
          "AsanaTask"
        ],
        "connections": [
          {
            "connectionId": "62ffd6793ef7978318baefa8",
            "isDisabled": false,
            "connectionErrorMessage": null
          },
          {
            "connectionId": "62fed1234ef7978318baefa9",
            "isDisabled": true,
            "connectionErrorMessage": "Authorization Error connecting to Asana"
          }
        ]
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "YXBvbGxv",
      "endCursor": "YXBvbGxv"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required